/*--------------------------------------------
	workarea offset
  --------------------------------------------*/
#define	reg_PC		0x80
#define	reg_SP		0x82

#define	reg_DE		0x84	/* should be word aligned */
#define	reg_E		0x84
#define	reg_D		0x85
#define	reg_BC		0x86
#define	reg_C		0x86
#define	reg_B		0x87
#define	reg_HL		0x88
#define	reg_L		0x88
#define	reg_H		0x89
#define	reg_F		0x8a
#define	reg_A		0x8b

#define	reg_IX		0x8c
#define	reg_IXL		0x8c
#define	reg_IXH		0x8d
#define	reg_IY		0x8e
#define	reg_IYL		0x8e
#define	reg_IYH		0x8f

#define	reg_DE_		0x90	/* should be word aligned */
#define	reg_BC_		0x92
#define	reg_HL_		0x94
#define	reg_FA_		0x96
#define	reg_A_		0x96
#define	reg_F_		0x97

#define	reg_I		0x98
#define	reg_R		0x99

#define	PA8255		0x9a
#define	PC8255		0x9b

#define	saver9		0x9c
#define saver11		0xa0
#define save_sp		0xa4
#define saver13		0xa8

#define bkpoint		0xac
#define lasttime	0xb0
#define	speeddelta	0xb4

#define	PIT_LAT0	0xc0 //64	/* latched counter 0... use as copy of PRESET0 */
#define PIT_PRESET0	0xc2 //66
#define PIT_STT0	0xc4 //68	/* status  counter 0 */
#define	PIT_LAT1	0xc8 //72	/* latched counter 1 */
#define PIT_PRESET1	0xca //74
#define PIT_STT1	0xcc //76	/* status  counter 1 */
#define	PIT_LAT2	0xd0 //80	/* latched counter 2 */
#define PIT_PRESET2	0xd2 //82
#define PIT_STT2	0xd4 //84	/* status  counter 2 */
#define PIT_CNT2	0xd6 //86
#define PIT_LATCHED	0x01	/* 1:Counter Latched */
#define	PIT_INTDONE	0x02	/* 1:Interrupt has been requested */
#define	PIT_RELOAD	0x04	/* 1:Reload counter at next CLK */
#define	PIT_RL_MASK	0x30	/* Read/Load */

#define	TapePtr		0xd8
#define	TapeInfoBlkPtr	0xdc
#define	TapeEndPtr	0xe0

#define	KeyCfgAB	0xe4
#define	KeyCfgLR	0xe8
#define	KeyCfgSTART	0xec
#define	KeyMatrix	0xf0	/* should be 0xf0 */
#define	KeyPressOnce	0xfc

/*--------------------------------------------
	flag
  --------------------------------------------*/

#define	FLAG_Cy		0x01		/* Cy flag which is visible to user */
#define	FLAG_N		0x02
#define	FLAG_PV		0x04
#define	FLAG_Ci		0x08		/* internal Cy flag for DAA after INC/DEC */
#define	FLAG_C		0x09		/* usually both are updated */
#define	FLAG_H		0x10
#define	FLAG_Z		0x40
#define	FLAG_S		0x80
#define	f_IPLBANK	0x00000100	/* 0:RAM	1:IPL */
#define	f_VRAMBANK	0x00000200	/* 0:RAM	1:VRAM, I/O */
#define	f_INT_EN	0x00000400	/* 0:DI		1:EI */
#define	f_INT_REQ	0x00000800
#define	f_INTMSK	0x00001000	/* 8255 INTMSK	0:DI 1:EI   */
#define	f_SOUND_STOP	0x00002000	/* 8253 Ch.0 count stop */
#define	f_GATE		0x00004000	/* 8253 Ch.0 GATE */
#define	f_PIT1_RELOAD	0x00008000	/* 8253 Ch.1 reload */
#define	f_PIT0_RL_MASK	0x00030000	/* 8253 Ch.0 Read/Load */
#define	f_PIT0_RL_SCNT	16
#define	f_Rreg_MASK	0xfe000000
#define	f_Rreg_INC	0x02000000

/*--------------------------------------------
	absolute address
  --------------------------------------------*/
#define	ParityFlagTblH	0x03000000
#define	ParityFlagTblL	0x00000000

#define	DecFlagTblH	0x03000000
#define	DecFlagTblL	0x00000100

/* WorkArea is fixed at 03000200 */
#define	WorkAreaH	0x03000000
#define	WorkAreaL	0x00000200

#define	IncFlagTblH	0x03000000
#define	IncFlagTblL	0x00000300

//#define	Z80_DEBUG
//#define	SPEED_METER
